# Contributing to Sturdy

Sturdy is open to contributions from everyone! We love to receive your feedback, bug reports, issues, and even code!

If you want to contribute with a bigger change, please reach out in [#contributing](https://discord.com/channels/835147879835369472/941342832864665700) on Discord, and we can help you to get started with creating an RFC (see below).

## Code of Conduct

All interactions with the Sturdy open source project are governed by the [Sturdy Code of Conduct](https://getsturdy.com/handbook/code-of-conduct)

## Request for Comments

Sturdy uses RFCs to discuss and decide on larger changes.
We invite (and celebrate) RFCs from external contributors.

A RFC (_"Request for Comments"_) is a document on the RFC Google Drive.

Each document should have the following metadata in it's header:

* The author's name
* The date
* A sequence number (use the highest RFC-number + 1)
* Status (WIP, Review, Approved, Implemented, Closed, Abandoned).

Each RFC (normally) contains the following sections:

* **Background:** Provide some context for the RFC. This section should contain facts, and avoid opinions.
* **Problem:** A description of the problem, and why it's worth solving right now.
* **Proposed solution:** A description of how to solve the problem. This section can be skipped if you just want to raise an issue, and hand off the problem solving to someone else (such as a Sturdy employee).
* **Definition of success:** A description of what a successful outcome looks like, and ideally how it can be tracked using metrics.

RFCs are stored on Google Drive:

* [All public RFCs](https://drive.google.com/drive/folders/1bISRCqQ-qpmLmit68XrJ7UtWnU9jt1ER)
* [All private RFCs](https://drive.google.com/drive/folders/1VBJUit9B5kw-FCituZIuK_6pHTG3ppwI)

If you're an external contributor, reach out to a Sturdy team member through Discord, and we'll create and invite you to the RFC-drive.

